Bug 3537 - add capability to set allowed workstations for tdbsam backend
add capability to set allowed workstations for tdbsam backend
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.21b
x86 Linux
: P3 enhancement
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-21 14:13 UTC by Chris Smith
Modified: 2009-08-11 12:01 UTC (History)
0 users

See Also:


Attachments
Patch to let pdbedit modify SAM workstations attribute (3.09 KB, patch)
2006-03-07 15:58 UTC, Kirk Turner-Rustin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Smith 2006-02-21 14:13:53 UTC
Samba should provide the ability to set allowed workstations when using the tdbsam backend and adding or editing users via pdbedit and/or the net utility.
Comment 1 Kirk Turner-Rustin 2006-03-07 15:58:12 UTC
Created attachment 1778 [details]
Patch to let pdbedit modify SAM workstations attribute

This patch against pdbedit.c from 3.0.21c is a hack that adds a -W (or --workstations) option to pdbedit for changing the workstations SAM attribute in tdbsam. It works, but (1) it doesn't allow for setting the workstations attribute when an account is first created, and (2) I broke the model for bit flag assignments at the top of the source file by using an oddball value for BIT_WORKSTATIONS. I'm embarrassed to say that I couldn't get the hack to work after using something more appropriate, like 0x20000000.
Comment 2 Guenther Deschner 2009-08-11 12:01:06 UTC
This is implemented as "net sam set workstation" since a while now.
Closing as fixed.